Subject: Re: [PATCH V8] powerpc/fsl-pci: Unify pci/pcie initialization code

From: Scott Wood <[email-masked]>
Date: Tue, 21 Aug 2012 12:16:00 -0500

On 08/21/2012 01:49 AM, Li Yang-R58472 wrote:
> If there is i8259 node in the device tree, it should be suggesting
> that there is a PCI to ISA bridge but not explicitly described in the
> device tree.  Then we need to fix the device tree to add the ISA
> nodes.

No, we need to work with existing device trees.  Just because they're
hosted in the kernel tree doesn't mean they can be treated as an
internal kernel implementation detail.  They are stable API with
external entities such as bootloaders and hypervisors, get forked for
custom boards, etc.

Boards with this problem should set fsl_pci_primary in platform code
based on whatever criteria is relevant.

-Scott